Index: libs/spirit/phoenix/test/mixed_binary_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/mixed_binary_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 mixed_binary_tests.cpp
--- libs/spirit/phoenix/test/mixed_binary_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/mixed_binary_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -8,7 +8,7 @@
 ==============================================================================*/
 #include <iostream>
 #include <string>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -31,14 +31,14 @@
 //  Mixed type operators
 //
 ///////////////////////////////////////////////////////////////////////////////
-    assert((arg1 + arg2)(i100, i50) == (i100 + i50));
-    assert((arg1 + 3)(i100) == (3 + i100));
-    assert((arg1 + arg2)(hello, world) == "hello world");
-    assert((arg1 + arg2)(i1, d2_5) == (i1 + d2_5));
+    BOOST_TEST((arg1 + arg2)(i100, i50) == (i100 + i50));
+    BOOST_TEST((arg1 + 3)(i100) == (3 + i100));
+    BOOST_TEST((arg1 + arg2)(hello, world) == "hello world");
+    BOOST_TEST((arg1 + arg2)(i1, d2_5) == (i1 + d2_5));
 
-    assert((*(arg1 + arg2))(world, i2) == *(world + i2));
-    assert((*(arg1 + arg2))(i2, world) == *(i2 + world));
-    assert((*(val(world+i2) - arg1))(i2) == *world);
+    BOOST_TEST((*(arg1 + arg2))(world, i2) == *(world + i2));
+    BOOST_TEST((*(arg1 + arg2))(i2, world) == *(i2 + world));
+    BOOST_TEST((*(val(world+i2) - arg1))(i2) == *world);
 
 ///////////////////////////////////////////////////////////////////////////////
 //
@@ -46,8 +46,5 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();    
 }
Index: libs/spirit/phoenix/test/more_expressions_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/more_expressions_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 more_expressions_tests.cpp
--- libs/spirit/phoenix/test/more_expressions_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/more_expressions_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 ==============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -55,18 +55,18 @@
 //  More complex expressions
 //
 ///////////////////////////////////////////////////////////////////////////////
-    assert((10 - arg1)(i100) == (10 - i100));
-    assert((20 - arg1)(i100) == (20 - i100));
-    assert((arg1 - 10)(i100) == (i100 - 10));
-    assert((arg1 - 20)(i100) == (i100 - 20));
-    assert((arg1 - arg2)(i100, i50) == (i100 - i50));
-    assert((arg1 - var(i))(i10) == (i10 - i));
-    assert((arg1 + arg2 - arg3)(i100, i50, i20) == (i100 + i50 - i20));
-    assert((sqr(arg1) + arg2 - arg3)(i100, i50, i20) == ((i100*i100) + i50 - i20));
+    BOOST_TEST((10 - arg1)(i100) == (10 - i100));
+    BOOST_TEST((20 - arg1)(i100) == (20 - i100));
+    BOOST_TEST((arg1 - 10)(i100) == (i100 - 10));
+    BOOST_TEST((arg1 - 20)(i100) == (i100 - 20));
+    BOOST_TEST((arg1 - arg2)(i100, i50) == (i100 - i50));
+    BOOST_TEST((arg1 - var(i))(i10) == (i10 - i));
+    BOOST_TEST((arg1 + arg2 - arg3)(i100, i50, i20) == (i100 + i50 - i20));
+    BOOST_TEST((sqr(arg1) + arg2 - arg3)(i100, i50, i20) == ((i100*i100) + i50 - i20));
 
     int ii = i;
-    assert((var(i) += arg1)(i2) == (ii += i2));
-    assert((sqr(sqr(arg1)))(i100) == (i100*i100*i100*i100));
+    BOOST_TEST((var(i) += arg1)(i2) == (ii += i2));
+    BOOST_TEST((sqr(sqr(arg1)))(i100) == (i100*i100*i100*i100));
 
 
 #if 0   /*** SHOULD NOT COMPILE ***/
@@ -74,15 +74,15 @@
     (val(3) = 3)();
 #endif
 
-    assert(((adder(arg1, arg2, arg3) + arg2 - arg3)(i100, i50, i20)) == (i100 + i50 + i20) + i50 - i20);
-    assert((adder(arg1, arg2, arg3)(i100, i50, i20)) == (i100 + i50 + i20));
-    assert((sqr(sqr(sqr(sqr(arg1)))))(d10) == 1e16);
-    assert((sqr(sqr(arg1)) / arg1 / arg1)(d5) == 25);
+    BOOST_TEST(((adder(arg1, arg2, arg3) + arg2 - arg3)(i100, i50, i20)) == (i100 + i50 + i20) + i50 - i20);
+    BOOST_TEST((adder(arg1, arg2, arg3)(i100, i50, i20)) == (i100 + i50 + i20));
+    BOOST_TEST((sqr(sqr(sqr(sqr(arg1)))))(d10) == 1e16);
+    BOOST_TEST((sqr(sqr(arg1)) / arg1 / arg1)(d5) == 25);
 
     for (int j = 0; j < 20; ++j)
     {
         cout << (10 < arg1)(j);
-        assert((10 < arg1)(j) == (10 < j));
+        BOOST_TEST((10 < arg1)(j) == (10 < j));
     }
     cout << endl;
 
@@ -90,7 +90,7 @@
     {
         bool r = ((arg1 % 2 == 0) && (arg1 < 15))(k);
         cout << r;
-        assert(r == ((k % 2 == 0) && (k < 15)));
+        BOOST_TEST(r == ((k % 2 == 0) && (k < 15)));
     }
     cout << endl;
 
@@ -100,8 +100,5 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();    
 }
Index: libs/spirit/phoenix/test/new_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/new_test.cpp,v
retrieving revision 1.6
diff -b -d -u -r1.6 new_test.cpp
--- libs/spirit/phoenix/test/new_test.cpp	28 Jul 2004 01:57:15 -0000	1.6
+++ libs/spirit/phoenix/test/new_test.cpp	18 Feb 2006 22:55:12 -0000
@@ -8,7 +8,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 ==============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -34,16 +34,13 @@
     int i2 = 2;
     X   x3(3);
 
-    assert(new_<int>()() != NULL);
-    assert(*new_<int>(arg1)(i2) == 2);
+    BOOST_TEST(new_<int>()() != NULL);
+    BOOST_TEST(*new_<int>(arg1)(i2) == 2);
 
-    assert(new_<X>()() != NULL);
-    assert(new_<X>()()->i == 1);
-    assert(new_<X>(arg1)(i2)->i == 2);
-    assert(new_<X>(arg1)(x3)->i == 3);
+    BOOST_TEST(new_<X>()() != NULL);
+    BOOST_TEST(new_<X>()()->i == 1);
+    BOOST_TEST(new_<X>(arg1)(i2)->i == 2);
+    BOOST_TEST(new_<X>(arg1)(x3)->i == 3);
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();    
 }
Index: libs/spirit/phoenix/test/primitives_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/primitives_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 primitives_tests.cpp
--- libs/spirit/phoenix/test/primitives_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/primitives_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 ==============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -30,16 +30,13 @@
 ///////////////////////////////////////////////////////////////////////////////
     cout << val("Hello")() << val(' ')() << val("World")() << endl;
 
-    assert(arg1(c1) == c1);
-    assert(arg1(i1, i2) == i1);
-    assert(arg2(i1, s2) == s2);
+    BOOST_TEST(arg1(c1) == c1);
+    BOOST_TEST(arg1(i1, i2) == i1);
+    BOOST_TEST(arg2(i1, s2) == s2);
 
-    assert(val(3)() == 3);
-    assert(var(i)() == 4);
-    assert(var(++i)() == 5);
+    BOOST_TEST(val(3)() == 3);
+    BOOST_TEST(var(i)() == 4);
+    BOOST_TEST(var(++i)() == 5);
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();    
 }
Index: libs/spirit/phoenix/test/statements_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/statements_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 statements_tests.cpp
--- libs/spirit/phoenix/test/statements_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/statements_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -9,7 +9,7 @@
 #include <iostream>
 #include <vector>
 #include <algorithm>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -161,8 +161,5 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();    
 }
Index: libs/spirit/phoenix/test/stl_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/stl_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 stl_tests.cpp
--- libs/spirit/phoenix/test/stl_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/stl_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -10,7 +10,7 @@
 #include <vector>
 #include <list>
 #include <algorithm>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -53,7 +53,7 @@
     for (int m = 0; m < 5; ++m, (cout << ','))
     {
         cout << v[m];
-        assert(v[m] == (m+1)*2);
+        BOOST_TEST(v[m] == (m+1)*2);
     }
     cout << endl;
 
@@ -69,8 +69,8 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-    assert((arg1[0])(v) == v[0]);
-    assert((arg1[1])(v) == v[1]);
+    BOOST_TEST((arg1[0])(v) == v[0]);
+    BOOST_TEST((arg1[1])(v) == v[1]);
 
     list<int> l;
     l.push_back(1);
@@ -82,8 +82,8 @@
     list<int>::iterator first = l.begin();
     list<int>::iterator last = l.end();
 
-    assert((*(++arg1))(first) == 2);
-    assert((*(----arg1))(last) == 4);
+    BOOST_TEST((*(++arg1))(first) == 2);
+    BOOST_TEST((*(----arg1))(last) == 4);
 
 ///////////////////////////////////////////////////////////////////////////////
 //
@@ -91,8 +91,5 @@
 //
 ///////////////////////////////////////////////////////////////////////////////
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();    
 }
Index: libs/spirit/phoenix/test/tuples_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/tuples_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 tuples_tests.cpp
--- libs/spirit/phoenix/test/tuples_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/tuples_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -8,7 +8,7 @@
 ==============================================================================*/
 #include <iostream>
 #include <string>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <boost/spirit/phoenix/tuples.hpp>
 
 using namespace std;
@@ -26,8 +26,8 @@
         tuple_element<0, tuple_t>::type& e0 = ttt[_1];
         tuple_element<1, tuple_t>::type& e1 = ttt[_2];
 
-        assert(e0 == 3);
-        assert(e1 == 'c');
+        BOOST_TEST(e0 == 3);
+        BOOST_TEST(e1 == 'c');
 
         cout << e0 << endl;
         cout << e1 << endl;
@@ -42,15 +42,15 @@
         tuple_element<1, tuple_t>::type& e1 = ttt[_2];
         tuple_element<2, tuple_t>::type& e2 = ttt[_3];
 
-        assert(e0 == 3);
-        assert(e1 == 'c');
-        assert(string(e2) == "hello world");
+        BOOST_TEST(e0 == 3);
+        BOOST_TEST(e1 == 'c');
+        BOOST_TEST(string(e2) == "hello world");
 
         cout << e0 << endl;
         cout << e1 << endl;
         cout << e2 << endl;
     }
 
-    return 0;
+    return boost::report_errors();    
 }
 
Index: libs/spirit/phoenix/test/unary_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/phoenix/test/unary_tests.cpp,v
retrieving revision 1.8
diff -b -d -u -r1.8 unary_tests.cpp
--- libs/spirit/phoenix/test/unary_tests.cpp	28 Jul 2004 01:57:15 -0000	1.8
+++ libs/spirit/phoenix/test/unary_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 ==============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 #define PHOENIX_LIMIT 15
 #include <boost/spirit/phoenix/primitives.hpp>
@@ -27,24 +27,21 @@
 //  Unary operators
 //
 ///////////////////////////////////////////////////////////////////////////////
-    assert((!val(true))() == false);
-    assert((-val(1))() == -1);
-    assert((+val(1))() == +1);
-    assert((~val(1))() == ~1);
-    assert(*(&arg1)(i1) == *(&i1));
-    assert((&arg1)(i1) == &i1);
+    BOOST_TEST((!val(true))() == false);
+    BOOST_TEST((-val(1))() == -1);
+    BOOST_TEST((+val(1))() == +1);
+    BOOST_TEST((~val(1))() == ~1);
+    BOOST_TEST(*(&arg1)(i1) == *(&i1));
+    BOOST_TEST((&arg1)(i1) == &i1);
 
-    assert((*val(&i1))() == *(&i1));
-    assert((*&arg1)(i1) == *(&i1));
-    assert((++var(i))() == 6);
-    assert((--var(i))() == 5);
-    assert((var(i)++)() == 5);
-    assert(i == 6);
-    assert((var(i)--)() == 6);
-    assert(i == 5);
+    BOOST_TEST((*val(&i1))() == *(&i1));
+    BOOST_TEST((*&arg1)(i1) == *(&i1));
+    BOOST_TEST((++var(i))() == 6);
+    BOOST_TEST((--var(i))() == 5);
+    BOOST_TEST((var(i)++)() == 5);
+    BOOST_TEST(i == 6);
+    BOOST_TEST((var(i)--)() == 6);
+    BOOST_TEST(i == 5);
 
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
-    cout << "\t\tTests concluded\n";
-    cout << "\t\tSUCCESS!!!\n";
-    cout << "///////////////////////////////////////////////////////////////////////////////\n";
+    return boost::report_errors();    
 }
Index: libs/spirit/test/ast_calc_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/ast_calc_tests.cpp,v
retrieving revision 1.5
diff -b -d -u -r1.5 ast_calc_tests.cpp
--- libs/spirit/test/ast_calc_tests.cpp	9 Jul 2004 08:30:38 -0000	1.5
+++ libs/spirit/test/ast_calc_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -17,7 +17,7 @@
 #include <stack>
 #include <functional>
 #include <string>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace boost::spirit;
 
@@ -143,7 +143,7 @@
     {
         case calculator::integerID:
         {
-            assert(i->children.size() == 0);
+            BOOST_TEST(i->children.size() == 0);
             // extract integer (not always delimited by '\0')
 #if BOOST_WORKAROUND(__MWERKS__, BOOST_TESTED_AT(0x3003))
             // std::string(iter,iter) constructor has a bug in MWCW 8.3: 
@@ -162,7 +162,7 @@
         case calculator::factorID:
         {
             // factor can only be unary minus
-            assert(*i->value.begin() == '-');
+            BOOST_TEST(*i->value.begin() == '-');
             return - eval_expression(i->children.begin());
         }
 
@@ -170,40 +170,40 @@
         {
             if (*i->value.begin() == '*')
             {
-                assert(i->children.size() == 2);
+                BOOST_TEST(i->children.size() == 2);
                 return eval_expression(i->children.begin()) *
                     eval_expression(i->children.begin()+1);
             }
             else if (*i->value.begin() == '/')
             {
-                assert(i->children.size() == 2);
+                BOOST_TEST(i->children.size() == 2);
                 return eval_expression(i->children.begin()) /
                     eval_expression(i->children.begin()+1);
             }
             else
-                assert(0);
+                BOOST_TEST(0);
         }
 
         case calculator::expressionID:
         {
             if (*i->value.begin() == '+')
             {
-                assert(i->children.size() == 2);
+                BOOST_TEST(i->children.size() == 2);
                 return eval_expression(i->children.begin()) +
                     eval_expression(i->children.begin()+1);
             }
             else if (*i->value.begin() == '-')
             {
-                assert(i->children.size() == 2);
+                BOOST_TEST(i->children.size() == 2);
                 return eval_expression(i->children.begin()) -
                     eval_expression(i->children.begin()+1);
             }
             else
-                assert(0);
+                BOOST_TEST(0);
         }
 
         default:
-            assert(0); // error
+            BOOST_TEST(0); // error
     }
 
     return 0;
@@ -238,41 +238,40 @@
 main()
 {
 // test the calculator with statically assigned rule ID's
-    assert(parse("12345") == 12345);
-    assert(parse("-12345") == -12345);
-    assert(parse("1 + 2") == 1 + 2);
-    assert(parse("1 * 2") == 1 * 2);
-    assert(parse("1/2 + 3/4") == 1/2 + 3/4);
-    assert(parse("1 + 2 + 3 + 4") == 1 + 2 + 3 + 4);
-    assert(parse("1 * 2 * 3 * 4") == 1 * 2 * 3 * 4);
-    assert(parse("(1 + 2) * (3 + 4)") == (1 + 2) * (3 + 4));
-    assert(parse("(-1 + 2) * (3 + -4)") == (-1 + 2) * (3 + -4));
-    assert(parse("1 + ((6 * 200) - 20) / 6") == 1 + ((6 * 200) - 20) / 6);
-    assert(parse("(1 + (2 + (3 + (4 + 5))))") == (1 + (2 + (3 + (4 + 5)))));
-    assert(parse("1 + 2 + 3 + 4 + 5") == 1 + 2 + 3 + 4 + 5);
-    assert(parse("(12 * 22) + (36 + -4 + 5)") == (12 * 22) + (36 + -4 + 5));
-    assert(parse("(12 * 22) / (5 - 10 + 15)") == (12 * 22) / (5 - 10 + 15));
-    assert(parse("12 * 6 * 15 + 5 - 25") == 12 * 6 * 15 + 5 - 25);
+    BOOST_TEST(parse("12345") == 12345);
+    BOOST_TEST(parse("-12345") == -12345);
+    BOOST_TEST(parse("1 + 2") == 1 + 2);
+    BOOST_TEST(parse("1 * 2") == 1 * 2);
+    BOOST_TEST(parse("1/2 + 3/4") == 1/2 + 3/4);
+    BOOST_TEST(parse("1 + 2 + 3 + 4") == 1 + 2 + 3 + 4);
+    BOOST_TEST(parse("1 * 2 * 3 * 4") == 1 * 2 * 3 * 4);
+    BOOST_TEST(parse("(1 + 2) * (3 + 4)") == (1 + 2) * (3 + 4));
+    BOOST_TEST(parse("(-1 + 2) * (3 + -4)") == (-1 + 2) * (3 + -4));
+    BOOST_TEST(parse("1 + ((6 * 200) - 20) / 6") == 1 + ((6 * 200) - 20) / 6);
+    BOOST_TEST(parse("(1 + (2 + (3 + (4 + 5))))") == (1 + (2 + (3 + (4 + 5)))));
+    BOOST_TEST(parse("1 + 2 + 3 + 4 + 5") == 1 + 2 + 3 + 4 + 5);
+    BOOST_TEST(parse("(12 * 22) + (36 + -4 + 5)") == (12 * 22) + (36 + -4 + 5));
+    BOOST_TEST(parse("(12 * 22) / (5 - 10 + 15)") == (12 * 22) / (5 - 10 + 15));
+    BOOST_TEST(parse("12 * 6 * 15 + 5 - 25") == 12 * 6 * 15 + 5 - 25);
 
 // test the calculator with dynamically assigned rule ID's
-    assert(parse_dyn("12345") == 12345);
-    assert(parse_dyn("-12345") == -12345);
-    assert(parse_dyn("1 + 2") == 1 + 2);
-    assert(parse_dyn("1 * 2") == 1 * 2);
-    assert(parse_dyn("1/2 + 3/4") == 1/2 + 3/4);
-    assert(parse_dyn("1 + 2 + 3 + 4") == 1 + 2 + 3 + 4);
-    assert(parse_dyn("1 * 2 * 3 * 4") == 1 * 2 * 3 * 4);
-    assert(parse_dyn("(1 + 2) * (3 + 4)") == (1 + 2) * (3 + 4));
-    assert(parse_dyn("(-1 + 2) * (3 + -4)") == (-1 + 2) * (3 + -4));
-    assert(parse_dyn("1 + ((6 * 200) - 20) / 6") == 1 + ((6 * 200) - 20) / 6);
-    assert(parse_dyn("(1 + (2 + (3 + (4 + 5))))") == (1 + (2 + (3 + (4 + 5)))));
-    assert(parse_dyn("1 + 2 + 3 + 4 + 5") == 1 + 2 + 3 + 4 + 5);
-    assert(parse_dyn("(12 * 22) + (36 + -4 + 5)") == (12 * 22) + (36 + -4 + 5));
-    assert(parse_dyn("(12 * 22) / (5 - 10 + 15)") == (12 * 22) / (5 - 10 + 15));
-    assert(parse_dyn("12 * 6 * 15 + 5 - 25") == 12 * 6 * 15 + 5 - 25);
+    BOOST_TEST(parse_dyn("12345") == 12345);
+    BOOST_TEST(parse_dyn("-12345") == -12345);
+    BOOST_TEST(parse_dyn("1 + 2") == 1 + 2);
+    BOOST_TEST(parse_dyn("1 * 2") == 1 * 2);
+    BOOST_TEST(parse_dyn("1/2 + 3/4") == 1/2 + 3/4);
+    BOOST_TEST(parse_dyn("1 + 2 + 3 + 4") == 1 + 2 + 3 + 4);
+    BOOST_TEST(parse_dyn("1 * 2 * 3 * 4") == 1 * 2 * 3 * 4);
+    BOOST_TEST(parse_dyn("(1 + 2) * (3 + 4)") == (1 + 2) * (3 + 4));
+    BOOST_TEST(parse_dyn("(-1 + 2) * (3 + -4)") == (-1 + 2) * (3 + -4));
+    BOOST_TEST(parse_dyn("1 + ((6 * 200) - 20) / 6") == 1 + ((6 * 200) - 20) / 6);
+    BOOST_TEST(parse_dyn("(1 + (2 + (3 + (4 + 5))))") == (1 + (2 + (3 + (4 + 5)))));
+    BOOST_TEST(parse_dyn("1 + 2 + 3 + 4 + 5") == 1 + 2 + 3 + 4 + 5);
+    BOOST_TEST(parse_dyn("(12 * 22) + (36 + -4 + 5)") == (12 * 22) + (36 + -4 + 5));
+    BOOST_TEST(parse_dyn("(12 * 22) / (5 - 10 + 15)") == (12 * 22) / (5 - 10 + 15));
+    BOOST_TEST(parse_dyn("12 * 6 * 15 + 5 - 25") == 12 * 6 * 15 + 5 - 25);
 
-    cout << "SUCCESS!!!\n";
-    return 0;
+    return boost::report_errors();    
 }
 
 
Index: libs/spirit/test/bug_fixes.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/bug_fixes.cpp,v
retrieving revision 1.11
diff -b -d -u -r1.11 bug_fixes.cpp
--- libs/spirit/test/bug_fixes.cpp	18 Oct 2005 10:00:15 -0000	1.11
+++ libs/spirit/test/bug_fixes.cpp	18 Feb 2006 22:55:12 -0000
@@ -261,7 +261,7 @@
 #include <string>
 #include <fstream>
 #include <iostream>
-#include <assert.h>
+#include <boost/detail/lightweight_test.hpp>
 #include <stdio.h>
 
 template <typename IterT>
Index: libs/spirit/test/chset_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/chset_tests.cpp,v
retrieving revision 1.9
diff -b -d -u -r1.9 chset_tests.cpp
--- libs/spirit/test/chset_tests.cpp	31 Jul 2004 11:35:26 -0000	1.9
+++ libs/spirit/test/chset_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -9,7 +9,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <boost/detail/lightweight_test.hpp>
 #include "impl/sstream.hpp"
 
Index: libs/spirit/test/closure_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/closure_tests.cpp,v
retrieving revision 1.9
diff -b -d -u -r1.9 closure_tests.cpp
--- libs/spirit/test/closure_tests.cpp	9 Jul 2004 08:30:38 -0000	1.9
+++ libs/spirit/test/closure_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 using namespace std;
 
@@ -97,32 +97,32 @@
 
     parse_info<char const*> pi;
     pi = parse("123, 456, 789", num_list, space_p);
-    assert(pi.hit);
-    assert(pi.full);
-    assert(n == 123 + 456 + 789);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
+    BOOST_TEST(n == 123 + 456 + 789);
 
     rule<scanner<>, my_closure2::context_t> rev;
     rev = anychar_p[rev.ch = arg1] >> !rev >> f_ch_p(rev.ch);
 
     pi = parse("xyzzyx", rev);
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
     pi = parse("xyzczyx", rev);
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     subrule<0, my_closure3::context_t> rev2;
     pi = parse("atoyyota",
         rev2 = anychar_p[rev2.ch = arg1] >> !rev2 >> f_ch_p(rev2.ch)
     );
 
-    assert(pi.hit);
-    assert(pi.full);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(pi.full);
 
     pi = parse("whatdahell",
         rev2 = anychar_p[rev2.ch = arg1] >> !rev2 >> f_ch_p(rev2.ch)
     );
-    assert(!pi.hit);
+    BOOST_TEST(!pi.hit);
 
     rule<phrase_scanner_t, my_closure4::context_t> complex_p;
     complex_p =
@@ -133,9 +133,9 @@
 
     X x;
     pi = parse("123, 456", complex_p[var(x) = arg1], space_p);
-    assert(pi.hit);
-    assert(x.a == 123);
-    assert(x.b == 456);
+    BOOST_TEST(pi.hit);
+    BOOST_TEST(x.a == 123);
+    BOOST_TEST(x.b == 456);
 
     rule<scanner<>, my_closure5::context_t> init1; // compile check only
     rule<> r1 = init1(3, 3); // member2 is constructed from int
@@ -153,7 +153,6 @@
 main()
 {
     closure_tests();
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/directives_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/directives_tests.cpp,v
retrieving revision 1.12
diff -b -d -u -r1.12 directives_tests.cpp
--- libs/spirit/test/directives_tests.cpp	18 Aug 2004 10:03:07 -0000	1.12
+++ libs/spirit/test/directives_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -7,7 +7,7 @@
     http://www.boost.org/LICENSE_1_0.txt)
 =============================================================================*/
 #include <iostream>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 #include <string>
 
 using namespace std;
@@ -35,11 +35,11 @@
         scanx(cpx_first, cpx_last);
 
     hit = str_p("Hello").parse(scanx);
-    assert(!hit);
+    BOOST_TEST(!hit);
     scanx.first = cpx;
 
     hit = chseq_p("Hello").parse(scanx);
-    assert(!!hit);
+    BOOST_TEST(!!hit);
     scanx.first = cpx;
 
     char const* cp = "Hello \n\tWorld";
@@ -50,33 +50,33 @@
         scan(cp_first, cp_last);
 
     hit = (+(alpha_p | punct_p)).parse(scan);
-    assert(!!hit);
-    assert(scan.first == scan.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scan.first == scan.last);
     scan.first = cp;
 
     hit = (+(lexeme_d[+(alpha_p | '\'')])).parse(scan);
-    assert(!!hit);
-    assert(scan.first == scan.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scan.first == scan.last);
     scan.first = cp;
 
     hit = (+(lexeme_d[lexeme_d[+anychar_p]])).parse(scan);
-    assert(!!hit);
-    assert(scan.first == scan.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scan.first == scan.last);
     scan.first = cp;
 
     hit = (str_p("Hello") >> "World").parse(scan);
-    assert(!!hit);
-    assert(scan.first == scan.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scan.first == scan.last);
     scan.first = cp;
 
     hit = as_lower_d[str_p("hello") >> "world"].parse(scan);
-    assert(!!hit);
-    assert(scan.first == scan.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scan.first == scan.last);
     scan.first = cp;
 
     hit = (+(as_lower_d[as_lower_d[+lower_p | '\'']])).parse(scan);
-    assert(!!hit);
-    assert(scan.first == scan.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scan.first == scan.last);
     scan.first = cp;
 
     char const* cpy = "123.456";
@@ -85,13 +85,13 @@
 
     scanner<> scany(cpy_first, cpy_last);
     hit = longest_d[(+digit_p >> '.' >> +digit_p) | (+digit_p)].parse(scany);
-    assert(!!hit);
-    assert(scany.first == scany.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scany.first == scany.last);
     scany.first = cpy;
 
     hit = shortest_d[(+digit_p >> '.' >> +digit_p) | (+digit_p)].parse(scany);
-    assert(!!hit);
-    assert(scany.first != scany.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scany.first != scany.last);
     scany.first = cpy;
 
     char const* cpz = "razamanaz";
@@ -100,40 +100,40 @@
 
     scanner<> scanz(cpz_first, cpz_last);
     hit = longest_d[str_p("raza") | "razaman" | "razamanaz"].parse(scanz);
-    assert(!!hit);
-    assert(scanz.first == scanz.last);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scanz.first == scanz.last);
     scanz.first = cpz;
 
     hit = shortest_d[str_p("raza") | "razaman" | "razamanaz"].parse(scanz);
-    assert(!!hit);
-    assert(scanz.first == cpz+4);
+    BOOST_TEST(!!hit);
+    BOOST_TEST(scanz.first == cpz+4);
     scanz.first = cpz;
 
 //  bounds_d
 
     parse_info<> pr = parse("123", limit_d(0, 60)[int_p]);
-    assert(!pr.hit);
+    BOOST_TEST(!pr.hit);
 
     pr = parse("-2", limit_d(0, 60)[int_p]);
-    assert(!pr.hit);
+    BOOST_TEST(!pr.hit);
 
     pr = parse("60", limit_d(0, 60)[int_p]);
-    assert(pr.hit);
+    BOOST_TEST(pr.hit);
 
     pr = parse("0", limit_d(0, 60)[int_p]);
-    assert(pr.hit);
+    BOOST_TEST(pr.hit);
 
     pr = parse("-2", min_limit_d(0)[int_p]);
-    assert(!pr.hit);
+    BOOST_TEST(!pr.hit);
 
     pr = parse("-2", min_limit_d(-5)[int_p]);
-    assert(pr.hit);
+    BOOST_TEST(pr.hit);
 
     pr = parse("101", max_limit_d(100)[int_p]);
-    assert(!pr.hit);
+    BOOST_TEST(!pr.hit);
 
     pr = parse("100", max_limit_d(100)[int_p]);
-    assert(pr.hit);
+    BOOST_TEST(pr.hit);
 }
 
 struct identifier : public grammar<identifier>
@@ -171,8 +171,8 @@
     cout << '*' << str1 << ',' << str2 << '*' << endl;
 
 
-    assert(str1 == "rock_n_roll");
-    assert(str2 == "never_dies");
+    BOOST_TEST(str1 == "rock_n_roll");
+    BOOST_TEST(str2 == "never_dies");
 }
 
 ///////////////////////////////////////////////////////////////////////////////
@@ -185,7 +185,6 @@
 {
     directives_test1();
     directives_test2();
-    cout << "Tests concluded successfully\n";
-    return 0;
+    return boost::report_errors();
 }
 
Index: libs/spirit/test/epsilon_tests.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/spirit/test/epsilon_tests.cpp,v
retrieving revision 1.11
diff -b -d -u -r1.11 epsilon_tests.cpp
--- libs/spirit/test/epsilon_tests.cpp	3 Aug 2004 03:45:18 -0000	1.11
+++ libs/spirit/test/epsilon_tests.cpp	18 Feb 2006 22:55:12 -0000
@@ -8,7 +8,7 @@
 =============================================================================*/
 #include <iostream>
 #include <cstring>
-#include <cassert>
+#include <boost/detail/lightweight_test.hpp>
 
 // This test program only includes the epsilon.hpp header from Spirit
 #include <boost/spirit/core/composite/epsilon.hpp>
